Main Page | Directories | File List | File Members | Related Pages

# SurrogateSplits.h File Reference

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
void | C_surrogates (SEXP node, SEXP learnsample, SEXP weights, SEXP controls, SEXP fitmem)
void | C_splitsurrogate (SEXP node, SEXP learnsample)

## Function Documentation

void C_splitsurrogate | ( | SEXP | node,
|  | SEXP | learnsample
| ) |

  | Split with missing values Parameters:
  | node | the current node with primary and surrogate splits specified
  | learnsample | learning sample
Definition at line 169 of file SurrogateSplits.c. References get_missings(), get_nobs(), get_variable(), has_missings(), PL2_inputsSym, S3get_leftnode(), S3get_nodeweights(), S3get_primarysplit(), S3get_rightnode(), S3get_splitpoint(), S3get_surrogatesplits(), S3get_toleft(), and S3get_variableID(). Referenced by C_TreeGrow(). Here is the call graph for this function:

void C_surrogates | ( | SEXP | node,
|  | SEXP | learnsample,
|  | SEXP | weights,
|  | SEXP | controls,
|  | SEXP | fitmem
| ) |

  | Search for surrogate splits for bypassing the primary split Parameters:
  | node | the current node with primary split specified
  | learnsample | learning sample
  | weights | the weights associated with the current node
  | controls | an object of class `TreeControl'
  | fitmem | an object of class `TreeFitMemory'
Todo: enable nominal surrogate split variables as well Definition at line 21 of file SurrogateSplits.c. References C_ExpectCovarInfluence(), C_init_orderedsplit(), C_split(), get_maxsurrogate(), get_missings(), get_ninputs(), get_nobs(), get_ordering(), get_splitctrl(), get_splitstatistics(), get_variable(), get_weights(), has_missings(), is_nominal(), PL2_expcovinfssSym, PL2_inputsSym, PL2_linexpcov2sampleSym, S3get_nodeweights(), S3get_primarysplit(), S3get_splitpoint(), S3get_surrogatesplits(), S3get_variableID(), S3set_toleft(), S3set_variableID(), and SPLIT_LENGTH. Referenced by C_TreeGrow(), and R_surrogates(). Here is the call graph for this function: